| Home | Libraries | People | FAQ | More

##### static_results::rows

Returns the rows retrieved by the SQL query.

###### Synopsis

    template<
        std::size_t I = 0>
    boost::span< const StaticRow...[I]>
    rows() const noexcept;

###### Template Parameters

Type | Description
--- | ---
`I` | Resultset index. For operations returning more than one resultset, you can explicitly specify this parameter to obtain the rows contained in the i-th resultset. If left unspecified, rows for the first resultset are returned.

###### Return Value

Returns a read-only span of the `I`-th row type.

###### Preconditions

`this->has_value() == true`

###### Exception safety

No-throw guarantee.

###### Object lifetimes

This function returns a view object, with reference semantics. The returned view points into memory owned by `*this`, and will be valid as long as `*this` or an object move-constructed from `*this` are alive.

###### Complexity

Constant.